Bug 832813 - Failed to change BOND mode for existing BOND interface
Failed to change BOND mode for existing BOND interface
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.4
x86_64 Linux
unspecified Severity high
: rc
: 6.4
Assigned To: Dan Kenigsberg
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 10:57 EDT by Meni Yakove
Modified: 2012-12-05 02:30 EST (History)
13 users (show)

See Also:
Fixed In Version: v4.9.6-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-05 02:30:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lpeer: needinfo+


Attachments (Terms of Use)
engine.log (334.22 KB, application/octet-stream)
2012-06-17 10:57 EDT, Meni Yakove
no flags Details
vdsm.log (5.09 MB, application/octet-stream)
2012-06-17 10:58 EDT, Meni Yakove
no flags Details

  None (edit)
Description Meni Yakove 2012-06-17 10:57:33 EDT
Created attachment 592440 [details]
engine.log

Description of problem:
Failed to change BOND mode for existing BOND interface, get "Error in setupNetworks" (rhevm and vdsm logs attached)



How reproducible:
Always

Steps to Reproduce:
1.Create BOND interface > apply
2.Edit the BOND interface and change BOND mode
3.
  
Actual results:
Failed to change BOND mode and webadmin stack on loading (need to refresh webmin)

Expected results:
BOND mode should change.
Comment 1 Meni Yakove 2012-06-17 10:58:09 EDT
Created attachment 592441 [details]
vdsm.log
Comment 2 Mike Kolesnik 2012-07-02 05:11:57 EDT
This is VDSM side bug, please reassign product/component.
Comment 3 Mike Kolesnik 2012-07-02 05:12:28 EDT
Additionally, it might've been fixed already. Igor can you comment please?
Comment 4 Yaniv Kaul 2012-07-02 05:28:24 EDT
(In reply to comment #2)
> This is VDSM side bug, please reassign product/component.

Mike, I fully trust your ability to do it.
Comment 6 Dan Kenigsberg 2012-07-04 03:55:58 EDT
Meni, please always state vdsm version when you open a rhev bug.

I believe that this bug, too, is fixed by http://gerrit.ovirt.org/5312 of v4.9.6-17. Please verify.
Comment 7 Martin Pavlik 2012-07-11 08:37:05 EDT
Tested with vdsm-4.9.6-17.0.el6.x86_64 and I've run into 839270 which blocks testing of this bug right now.
Comment 8 Meni Yakove 2012-07-23 07:51:35 EDT
Verified on vdsm-4.9.6-23.0.el6_3.x86_64.

Note You need to log in before you can comment on or make changes to this bug.